exclude-queries:
# False Positives
  - "4849211b-ac39-479e-ae78-5694d506cb24" # Terraform AWS - Security group must be used or not declared
  - "60224630-175a-472a-9e23-133827040766" # Terraform AWS - EC2 Not EBS Optimized
  - "e38a8e0a-b88b-4902-b3fe-b0fcb17d5c10" # Terraform AWS - Resource Not Using Tags
  - "6726dcc0-5ff5-459d-b473-a780bef7665c" # Terraform AWS - S3 Bucket SSE Disabled
  - "63ebcb19-2739-4d3f-aa5c-e8bbb9b85281" # Terraform AWS - EKS Cluster Encryption Disabled - Optional envelope encryption feature, cluster is encrypted at rest
  - "42f4b905-3736-4213-bfe9-c0660518cda8" # Terraform AWS - EKS Cluster Has Public Access - Configurable
  - "61cf9883-1752-4768-b18c-0d57f2737709" # Terraform AWS - EKS Cluster Has Public Access CIDRs - Configurable
  - "568a4d22-3517-44a6-a7ad-6a7eed88722c" # Terraform AWS - S3 Bucket Without Versioning - Configurable
  - "66f130d9-b81d-4e8e-9b08-da74b9c891df" # Terraform AWS - Missing Cluster Log Types - Configurable
  - "3e4d5ce6-3280-4027-8010-c26eeea1ec01" # Terraform GCP - Project-wide SSH Keys Are Enabled In VM Instances - Incorrect
  - "30e8dfd2-3591-4d19-8d11-79e93106c93d" # Terraform GCP - Stackdriver Monitoring Disabled - Enabled by default
  - "4c7ebcb2-eae2-461e-bc83-456ee2d4f694" # Terraform GCP - Stackdriver Logging Disabled - Enabled by default
  - "e7e961ac-d17e-4413-84bc-8a1fbe242944" # Terraform GCP - Cloud Storage Bucket Versioning Disabled - Configurable
  - "baee238e-1921-4801-9c3f-79ae1d7b2cbc" # Common - Generic Token
  - "b84a0b47-2e99-4c9f-8933-98bcabe2b94d" # Dockerfile - Run Using apt

# Not Applicable
  - "59312e8a-a64e-41e7-a252-618533dd1ea8" # Terraform AWS - Output Without Description - Info only
  - "2a153952-2544-4687-bcc9-cc8fea814a9b" # Terraform AWS - Variable Without Description - Info only
  - "8d7f7b8c-6c7c-40f8-baa6-62006c6c7b56" # Terraform AWS - RDS does not have any kind of logger - Info only
  - "23b70e32-032e-4fa6-ba5c-82f56b9980e6" # Terraform AWS - EC2 Instance Monitoring Disabled - Info only
  - "cb3f5ed6-0d18-40de-a93d-b3538db31e8c" # Terraform AWS - Security Group Without Description - Info only
  - "fd632aaf-b8a1-424d-a4d1-0de22fd3247a" # Terraform AWS - VPC Without Network Firewall - AWS Firewall in this case is specific only to certain designs alongside security groups that don't apply here
  - "084c6686-2a70-4710-91b1-000393e54c12" # Terraform AWS - Shield Advanced Not In Use - Context dependent
  - "bca7cc4d-b3a4-4345-9461-eb69c68fcd26" # Terraform AWS - RDS Using Default Port - Context dependent
  - "afecd1f1-6378-4f7e-bb3b-60c35801fdd4" # Terraform AWS - ALB Deletion Protection Disabled - Context dependent
  - "52f04a44-6bfa-4c41-b1d3-4ae99a2de05c" # Terraform AWS - VPC Subnet should not assign public IP - Context dependent
  - "e592a0c5-5bdb-414c-9066-5dba7cdea370" # Terraform AWS - IAM Access Analyzer Undefined - Context dependent, account wide resource
  - "96ed3526-0179-4c73-b1b2-372fde2e0d13" # Terraform AWS - Default VPC Exists - Context dependent
  - "c5b31ab9-0f26-4a49-b8aa-4cc064392f4d" # Terraform AWS - S3 Bucket Without Enabled MFA Delete - Context dependent
  - "5a2486aa-facf-477d-a5c1-b010789459ce" # Terraform AWS - EC2 Instance Has Public IP - Context dependent. Public IPs are configurable in Toolkit
  - "590d878b-abdc-428f-895a-e2b68a0e1998" # Terraform AWS - Unknown Port Exposed To Internet - Context dependent. CIDRs configurable.
  - "3b6d777b-76e3-4133-80a3-0d6f667ade7f" # Terraform AWS - RDS Automatic Minor Upgrades Disabled - Disabled as it causes Terraform state issues.
  - "9192e0f9-eca5-4056-9282-ae2a736a4088" # Terraform GCP - Pod Security Policy Disabled - Deprecated
  - "70cdf849-b7d9-4569-b87d-5d82ffd44719" # Terraform GCP - GKE Basic Authentication Enabled - Deprecated
  - "1baba08e-3c8a-4be7-95eb-dced5833de21" # Terraform GCP - Cluster Master Authentication Disabled - Deprecated
  - "73fb21a1-b19a-45b1-b648-b47b1678681e" # Terraform GCP - Client Certificate Disabled - Context dependent. Optional alternative authentication method to OAuth.
  - "6ccb85d7-0420-4907-9380-50313f80946b" # Terraform GCP - Private Cluster Disabled - Context dependent.
  - "b4cc2c52-34a6-4b43-b57c-4bdeb4514a5a" # Terraform Azure - Virtual Network with DDoS Protection Plan disabled - Context dependent
  - "c1573577-e494-4417-8854-7e119368dc8b" # Terraform Azure - Network Interfaces With Public IP - Context dependent
  - "0008c003-79aa-42d8-95b8-1c2fe37dbfe6" # Dockerfile - Multiple RUN, ADD, COPY, Instructions Listed - Context dependent
  - "b03a748a-542d-44f4-bb86-9199ab4fd2d5" # Dockerfile - Healthcheck Instruction Missing - Context dependent
  - "d3499f6d-1651-41bb-a9a7-de925fea487b" # Dockerfile - Unpinned Package Version in Apk Add - Context dependent, packages are snapshot directly as part of Docker build
  - "965a08d7-ef86-4f14-8792-4a3b2098937e" # Dockerfile - Apt Get Install Pin Version Not Defined - Context dependent, packages are snapshot directly as part of Docker build
  - "02d9c71f-3ee8-4986-9c27-1a20d0d19bfc" # Dockerfile - Unpinned Package Version in Pip Install - Context dependent, packages are snapshot directly as part of Docker build
  - "8a301064-c291-4b20-adcb-403fe7fd95fd" # Dockerfile - Changing Default Shell Using SHELL Command - Context dependent
  - "67fd0c4a-68cf-46d7-8c41-bc9fba7e40ae" # Dockerfile - Last User Is 'root' - Context dependent

# To Be Reviewed
  - "f861041c-8c9f-4156-acfc-5e6e524f5884" # Terraform AWS - S3 Bucket Logging Disabled
  - "f83121ea-03da-434f-9277-9cd247ab3047" # Terraform AWS - VPC FlowLogs Disabled
  - "40430747-442d-450a-a34f-dc57149f4609" # Terraform GCP - Google Compute Subnetwork Logging Disabled
  - "3cb4af0b-056d-4fb1-8b95-fdc4593625ff" # Terraform GCP - Using Default Service Account
  - "1c8eef02-17b1-4a3e-b01d-dcc3292d2c38" # Terraform GCP - GKE Using Default Service Account
  - "b1d51728-7270-4991-ac2f-fc26e2695b38" # Terraform GCP - Customer Key Provided Disk Encryption
  - "d6cabc3a-d57e-48c2-b341-bf3dd4f4a120" # Terraform GCP - Cloud Storage Bucket Logging Not Enabled
  - "11e7550e-c4b6-472e-adff-c698f157cdd7" # Terraform GCP - Network Policy Disabled

exclude-paths:
  - ".cache/"
  - "examples/"
